PDF417

PDF417은 민간 및 정부 조직의 여러 응용 프로그램에서 사용됩니다. PDF417 바코드(기호라고도 함)는 3-90개의 행으로 구성되어 있으며, 각 행은 작은 선형 바코드와 유사합니다.

수식에서 BC_PDF417 함수를 사용하여 PDF417을 만들 수 있습니다: =BC_PDF417(value, color, backgroundColor, errorCorrectionLevel, rows, columns, compact, quietZonLeft, quietZoneRight, quietZoneTop, quietZoneBottom) 이 함수에는 다음과 같은 매개 변수가 있습니다: value: 바코드 값입니다. color: 바코드 색입니다. backgroundColor: 바코드 배경색입니다. errorCorrectionLevel: (기본값: 'auto') 이 문자열은 PDF417의 오류 수정 수준을 나타내며, 'auto' 또는 0-8 사이의 값을 지정할 수 있습니다. rows: (기본값: 'auto') 이 값은 기호의 행 개수를 지정하며, 'auto' 또는 3-90 사이의 값을 지정할 수 있습니다. columns: (기본값: 'auto') 이 값은 기호의 열 개수를 지정하며, 'auto' 또는 1-30 사이의 값을 지정할 수 있습니다. compact: (기본값: false) 이 값은 코드를 간결하게 표현할지 여부를 지정합니다.
window.onload = function () { var spread = new GC.Spread.Sheets.Workbook(document.getElementById('ss'), {sheetCount: 1}); initSpread(spread); }; var FORMULA = 'BC_PDF417'; function initSpread(spread) { var sheet = spread.getSheet(0); spread.suspendPaint(); _initCustomSheet(sheet); spread.resumePaint(); } function _initCustomSheet(sheet) { sheet.name('customSheet'); _setData(sheet); _setStyle(sheet); for (var row = 3; row < 7; row++) { var value = 'CONCAT(B' + (row + 1) + ', ": ",C' + (row + 1) + ')'; sheet.setFormula(row, 3, '=' + FORMULA + '(' + value + ')'); sheet.setFormula(row, 4, '=' + FORMULA + '(' + value + ', , , , , , , 0, 10, 5, 5)'); sheet.setFormula(row, 5, '=' + FORMULA + '(' + value + ', , , , , 5)'); } } function _setData(sheet) { sheet.getCell(1, 1).value('Service'); sheet.getCell(1, 2).value('Number'); sheet.getCell(1, 3).value('PDF417 Code'); sheet.getCell(2, 3).value('Default'); sheet.getCell(2, 4).value('Customer Padding'); sheet.getCell(2, 5).value('Customer Columns Count'); var dataArray = [ ['Police', 911], ['Telephone Directory Assistance', 411], ['Non-emergency Municipal Services', 311], ['Travel Info Call 511', 511] ]; sheet.setArray(3, 1, dataArray); } function _setStyle(sheet) { for (var row = 3; row < 7; row++) { sheet.setRowHeight(row, 80); } sheet.addSpan(1, 1, 2, 1) sheet.addSpan(1, 2, 2, 1) sheet.addSpan(1, 3, 1, 3) sheet.setColumnWidth(0, 20); sheet.setColumnWidth(1, 200); sheet.setColumnWidth(2, 80); sheet.setColumnWidth(3, 200); sheet.setColumnWidth(4, 200); sheet.setColumnWidth(5, 200); sheet.getRange(1, 1, 2, 5) .foreColor('#000') .backColor('#FFF3CE') .borderLeft(new GC.Spread.Sheets.LineBorder('orange', GC.Spread.Sheets.LineStyle.thin), {outline: true}) .borderBottom(new GC.Spread.Sheets.LineBorder('orange', GC.Spread.Sheets.LineStyle.thin), {outline: true}); sheet .getRange(1, 1, 6, 5) .vAlign(GC.Spread.Sheets.VerticalAlign.center) .hAlign(GC.Spread.Sheets.HorizontalAlign.center) .setBorder(new GC.Spread.Sheets.LineBorder('orange', GC.Spread.Sheets.LineStyle.medium), {outline: true}); sheet.getRange(1, 1, 5, 1).wordWrap(true); }
<!doctype html> <html style="height:100%;font-size:14px;"> <head> <meta name="spreadjs culture" content="ko-kr"/> <meta charset="utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0" /> <link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css"> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-barcode/dist/gc.spread.sheets.barcode.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script> <script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script> <script src="app.js" type="text/javascript"></script> <link rel="stylesheet" type="text/css" href="styles.css"> </head> <body> <div class="sample-tutorial"> <div id="ss" class="sample-tutorial"></div> </div> </body> </html>
.sample-tutorial { position: relative; height: 100%; overflow: hidden; } body { position: absolute; top: 0; bottom: 0; left: 0; right: 0; }

수식에서 BC_PDF417 함수를 사용하여 PDF417을 만들 수 있습니다: =BC_PDF417(value, color, backgroundColor, errorCorrectionLevel, rows, columns, compact, quietZonLeft, quietZoneRight, quietZoneTop, quietZoneBottom)
이 함수에는 다음과 같은 매개 변수가 있습니다:
value: 바코드 값입니다.
color: 바코드 색입니다.
backgroundColor: 바코드 배경색입니다.
errorCorrectionLevel: (기본값: 'auto') 이 문자열은 PDF417의 오류 수정 수준을 나타내며, 'auto' 또는 0-8 사이의 값을 지정할 수 있습니다.
rows: (기본값: 'auto') 이 값은 기호의 행 개수를 지정하며, 'auto' 또는 3-90 사이의 값을 지정할 수 있습니다.
columns: (기본값: 'auto') 이 값은 기호의 열 개수를 지정하며, 'auto' 또는 1-30 사이의 값을 지정할 수 있습니다.
compact: (기본값: false) 이 값은 코드를 간결하게 표현할지 여부를 지정합니다.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbook-initialized="initSpread">
<gc-worksheet :auto-generate-columns="autoGenerateColumns" />
<gc-worksheet :auto-generate-columns="autoGenerateColumns" />
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from 'vue';
import '@mescius/spread-sheets-vue';
import GC from '@mescius/spread-sheets';
import '@mescius/spread-sheets-barcode';
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
const autoGenerateColumns = ref(true);
const spread = ref(null);
const initSpread = (spreadInstance) => {
spread.value = spreadInstance;
spreadInstance.suspendPaint();
const sheet = spreadInstance.getSheet(0);
const FORMULA = "BC_PDF417";
sheet.name("customSheet");
sheet.getCell(1, 1).value("Service");
sheet.getCell(1, 2).value("Number");
sheet.getCell(1, 3).value("PDF417 Code");
sheet.getCell(2, 3).value("Default");
sheet.getCell(2, 4).value("Customer Padding");
sheet.getCell(2, 5).value("Customer Columns Count");
const dataArray = [
["Police", 911],
["Telephone Directory Assistance", 411],
["Non-emergency Municipal Services", 311],
["Travel Info Call 511", 511]
];
sheet.setArray(3, 1, dataArray);
for (let row = 3; row < 7; row++) {
sheet.setRowHeight(row, 80);
}
sheet.addSpan(1, 1, 2, 1);
sheet.addSpan(1, 2, 2, 1);
sheet.addSpan(1, 3, 1, 3);
sheet.setColumnWidth(0, 20);
sheet.setColumnWidth(1, 200);
sheet.setColumnWidth(2, 80);
sheet.setColumnWidth(3, 200);
sheet.setColumnWidth(4, 200);
sheet.setColumnWidth(5, 200);
sheet
.getRange(1, 1, 2, 5)
.foreColor("#000")
.backColor("#FFF3CE")
.borderLeft(
new GC.Spread.Sheets.LineBorder(
"orange",
GC.Spread.Sheets.LineStyle.thin
),
{ outline: true }
)
.borderBottom(
new GC.Spread.Sheets.LineBorder(
"orange",
GC.Spread.Sheets.LineStyle.thin
),
{ outline: true }
);
sheet
.getRange(1, 1, 6, 5)
.vAlign(GC.Spread.Sheets.VerticalAlign.center)
.hAlign(GC.Spread.Sheets.HorizontalAlign.center)
.setBorder(
new GC.Spread.Sheets.LineBorder(
"orange",
GC.Spread.Sheets.LineStyle.medium
),
{ outline: true }
);
sheet.getRange(1, 1, 5, 1).wordWrap(true);
for (let row = 3; row < 7; row++) {
let value = "CONCAT(B" + (row + 1) + ', ": ",C' + (row + 1) + ")";
sheet.setFormula(row, 3, "=" + FORMULA + "(" + value + ")");
sheet.setFormula(
row,
4,
"=" + FORMULA + "(" + value + ", , , , , , , 0, 10, 5, 5)"
);
sheet.setFormula(row, 5, "=" + FORMULA + "(" + value + ", , , , , 5)");
}
spreadInstance.resumePaint();
};
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container legend {
text-align: center;
}
.option-row {
font-size: 14px;
padding: 5px;
}
input {
display: block;
width: 100%;
margin: 8px 0;
box-sizing: border-box;
}
label,
input {
padding: 4px 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
#drawUnderline {
display: inline-block;
width: 30px;
}
#drawUnderlineLabel {
display: inline-block;
}
#allowAutoCreateHyperlink {
display: inline-block;
width: 30px;
}
#setHyperlinkButton {
font-weight: bold;
background-color: #ecf3ff;
width: 200px;
height: 35px;
border-radius: 4px;
border-color: #0b93d5;
border-width: thin;
}
#settingsDiv {
margin-top: "10px"
}
#settingString {
padding: "2px 10px
}
#allowAutoCreateHyperlinkDiv {
margin-top: "10px"
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script src="compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/ko/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-barcode': 'npm:@mescius/spread-sheets-barcode/index.js',
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);